GNU bug report logs - #57998
29.0.50; M-x eval-buffer fails with: Warning: Optimization failure for keymap-set: Handler: keymap-set--anon-cmacro (wrong-number-of-arguments (4 . 4) 3)

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Jean Louis <bugs@HIDDEN>; Keywords: moreinfo; Done: Lars Ingebrigtsen <larsi@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug closed, send any further explanations to 57998 <at> debbugs.gnu.org and Jean Louis <bugs@HIDDEN> Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 57998 <at> debbugs.gnu.org:


Received: (at 57998) by debbugs.gnu.org; 24 Sep 2022 20:11:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 24 16:11:16 2022
Received: from localhost ([127.0.0.1]:45337 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ocBUZ-0005C5-RP
	for submit <at> debbugs.gnu.org; Sat, 24 Sep 2022 16:11:16 -0400
Received: from quimby.gnus.org ([95.216.78.240]:51598)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1ocBUW-0005Bn-OD
 for 57998 <at> debbugs.gnu.org; Sat, 24 Sep 2022 16:11:14 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:Date:References:
 In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=un87cS00faFuKFyCf2tbm7cM1xdOhT572x6RZCuWzxY=; b=hDh1evQEmjJlWzcg+Z29DakMq0
 BVl+kSukjEER8vr+G4qvar7XiJq+OVHJw6jGDiHIDmrkA+Wm8cjYVm3uWU9YSaUEe+ySg1vvsAMfX
 06ouyprBKiwkgxoH1AXPkLrHqC6dhq3kbFGr4cGjjUUX/eZKlIt7YazM1gDoJDV7398w=;
Received: from [84.212.220.105] (helo=joga)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1ocBUN-0006t8-Tc; Sat, 24 Sep 2022 22:11:05 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Jean Louis <bugs@HIDDEN>
Subject: Re: bug#57998: 29.0.50; M-x eval-buffer fails with: Warning:
 Optimization failure for keymap-set: Handler: keymap-set--anon-cmacro
 (wrong-number-of-arguments (4 . 4) 3)
In-Reply-To: <Yy8Ca1AoUpVvFirB@HIDDEN> (Jean Louis's message of
 "Sat, 24 Sep 2022 16:13:15 +0300")
References: <867d1wj5ht.fsf@HIDDEN> <8735ci3w13.fsf@HIDDEN>
 <Yy8Ca1AoUpVvFirB@HIDDEN>
X-Now-Playing: Ten in the Swear Jar's _Fort Awesome Drunk Tank: An Complete
 Recordings_: "Leg Show"
Date: Sat, 24 Sep 2022 22:11:03 +0200
Message-ID: <871qs0cz3c.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Jean Louis <bugs@HIDDEN> writes: > You may close this.
 OK; done. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 57998
Cc: 57998 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Jean Louis <bugs@HIDDEN> writes:

> You may close this.

OK; done.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57998; Package emacs. Full text available.

Message received at 57998 <at> debbugs.gnu.org:


Received: (at 57998) by debbugs.gnu.org; 24 Sep 2022 19:45:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 24 15:45:24 2022
Received: from localhost ([127.0.0.1]:45311 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ocB5Y-0004V7-2g
	for submit <at> debbugs.gnu.org; Sat, 24 Sep 2022 15:45:24 -0400
Received: from stw1.rcdrun.com ([217.170.207.13]:53129)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bugs@HIDDEN>) id 1ocB5V-0004Us-CB
 for 57998 <at> debbugs.gnu.org; Sat, 24 Sep 2022 15:45:22 -0400
Received: from localhost ([::ffff:154.229.76.227])
 (AUTH: PLAIN admin, TLS: TLS1.3,256bits,ECDHE_RSA_AES_256_GCM_SHA384)
 by stw1.rcdrun.com with ESMTPSA
 id 00000000000B5ACA.00000000632F5E48.000006AB; Sat, 24 Sep 2022 12:45:11 -0700
Date: Sat, 24 Sep 2022 16:13:15 +0300
From: Jean Louis <bugs@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#57998: 29.0.50; M-x eval-buffer fails with: Warning:
 Optimization failure for keymap-set: Handler: keymap-set--anon-cmacro
 (wrong-number-of-arguments (4 . 4) 3)
Message-ID: <Yy8Ca1AoUpVvFirB@HIDDEN>
References: <867d1wj5ht.fsf@HIDDEN>
 <8735ci3w13.fsf@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 7bit
Content-Disposition: inline
In-Reply-To: <8735ci3w13.fsf@HIDDEN>
User-Agent: Mutt/+ () (2022-06-11)
X-Spam-Score: 1.1 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  * Lars Ingebrigtsen <larsi@HIDDEN> [2022-09-23 19:18]: >
 Jean Louis <bugs@HIDDEN> writes: > > > Warning: Optimization failure
 for keymap-set: Handler: keymap-set--anon-cmacro > > (wrong-number- [...]
 Content analysis details:   (1.1 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
 1.1 DATE_IN_PAST_06_12     Date: is 6 to 12 hours before Received: date
X-Debbugs-Envelope-To: 57998
Cc: 57998 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.1 (/)

* Lars Ingebrigtsen <larsi@HIDDEN> [2022-09-23 19:18]:
> Jean Louis <bugs@HIDDEN> writes:
> 
> > Warning: Optimization failure for keymap-set: Handler: keymap-set--anon-cmacro
> > (wrong-number-of-arguments (4 . 4) 3)
> 
> I think all these errors may be the result of outdated .elc files.  Try
> deleting the elc file where cf-org-view-mode-map (etc) is defined and
> see whether the problem goes away.

I have tried that. It was result of error in code, parenthesis
was missing. Nevertheless it is difficult to know when error
is not conclusive.

Most common unconclusive error is when I type by mistake
somewhere "n" or some letter in code and that Emacs does not
tell me why buffer cannot be evaluated.

You may close this.

-- 
Jean

Take action in Free Software Foundation campaigns:
https://www.fsf.org/campaigns

In support of Richard M. Stallman
https://stallmansupport.org/




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57998; Package emacs. Full text available.
Added tag(s) moreinfo. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 57998 <at> debbugs.gnu.org:


Received: (at 57998) by debbugs.gnu.org; 23 Sep 2022 16:17:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 23 12:17:38 2022
Received: from localhost ([127.0.0.1]:41543 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oblMw-0000M1-DQ
	for submit <at> debbugs.gnu.org; Fri, 23 Sep 2022 12:17:38 -0400
Received: from quimby.gnus.org ([95.216.78.240]:38630)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1oblMv-0000Ll-9S
 for 57998 <at> debbugs.gnu.org; Fri, 23 Sep 2022 12:17:37 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:Date:References:
 In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=sckUNLGLie1P+cvnrL59pskfS0zUGepBpVosS8Xm2Tc=; b=gsdsOhgOK1tmH75vJfklbn2Gt5
 8eWcd00AQjBRHLJWQi4H8qle3Ts25h+IEjQZrFDGipxYNfzprCVC0/IN7ibgnWNceT6EKmO2Dqyj/
 wGzwcOAqZIXij4l4jf9yOfxRL46nBEMYBJfIwViQKeqLeiG/dJIX7QPD8T713VOYyr3o=;
Received: from [84.212.220.105] (helo=joga)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1oblMm-0003Ts-TH; Fri, 23 Sep 2022 18:17:31 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Jean Louis <bugs@HIDDEN>
Subject: Re: bug#57998: 29.0.50; M-x eval-buffer fails with: Warning:
 Optimization failure for keymap-set: Handler: keymap-set--anon-cmacro
 (wrong-number-of-arguments (4 . 4) 3)
In-Reply-To: <867d1wj5ht.fsf@HIDDEN> (Jean Louis's message of
 "Thu, 22 Sep 2022 09:19:26 +0300")
References: <867d1wj5ht.fsf@HIDDEN>
X-Now-Playing: Kate Bush's _Never For Ever_: "All We Ever Look For"
Date: Fri, 23 Sep 2022 18:17:28 +0200
Message-ID: <8735ci3w13.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Jean Louis <bugs@HIDDEN> writes: > Warning: Optimization
 failure for keymap-set: Handler: keymap-set--anon-cmacro >
 (wrong-number-of-arguments
 (4 . 4) 3) I think all these errors may be the result of outdated .elc files.
 Try deleting the elc file where cf-org-view-mode-map (etc) is defined and
 see whether the problem goes away. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 57998
Cc: 57998 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Jean Louis <bugs@HIDDEN> writes:

> Warning: Optimization failure for keymap-set: Handler: keymap-set--anon-cmacro
> (wrong-number-of-arguments (4 . 4) 3)

I think all these errors may be the result of outdated .elc files.  Try
deleting the elc file where cf-org-view-mode-map (etc) is defined and
see whether the problem goes away.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57998; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 22 Sep 2022 06:23:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 22 02:23:22 2022
Received: from localhost ([127.0.0.1]:35934 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1obFcG-0007KH-Ir
	for submit <at> debbugs.gnu.org; Thu, 22 Sep 2022 02:23:22 -0400
Received: from lists.gnu.org ([209.51.188.17]:44552)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <support1@HIDDEN>) id 1obFc5-0007Jy-9N
 for submit <at> debbugs.gnu.org; Thu, 22 Sep 2022 02:23:11 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:58906)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <support1@HIDDEN>)
 id 1obFc2-0007tq-3a
 for bug-gnu-emacs@HIDDEN; Thu, 22 Sep 2022 02:23:08 -0400
Received: from stw1.rcdrun.com ([217.170.207.13]:52451)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <support1@HIDDEN>)
 id 1obFbv-0005HC-7u
 for bug-gnu-emacs@HIDDEN; Thu, 22 Sep 2022 02:23:02 -0400
Received: from localhost ([::ffff:154.229.155.105])
 (AUTH: PLAIN admin, TLS: TLS1.3,256bits,ECDHE_RSA_AES_256_GCM_SHA384)
 by stw1.rcdrun.com with ESMTPSA
 id 00000000000B5A74.00000000632BFF20.00005839; Wed, 21 Sep 2022 23:22:24 -0700
From: Jean Louis <bugs@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 29.0.50; M-x eval-buffer fails with: Warning: Optimization failure
 for keymap-set: Handler: keymap-set--anon-cmacro
 (wrong-number-of-arguments (4 . 4) 3)
Date: Thu, 22 Sep 2022 09:19:26 +0300
Message-ID: <867d1wj5ht.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
Received-SPF: pass client-ip=217.170.207.13; envelope-from=support1@HIDDEN;
 helo=stw1.rcdrun.com
X-Spam_score_int: -16
X-Spam_score: -1.7
X-Spam_bar: -
X-Spam_report: (-1.7 / 5.0 requ) BAYES_00=-1.9,
 HEADER_FROM_DIFFERENT_DOMAINS=0.249, SPF_HELO_PASS=-0.001,
 SPF_PASS=-0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.1 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.1 (--)


M-x eval-buffer fails with:

Warning: Optimization failure for keymap-set: Handler: keymap-set--anon-cma=
cro
(wrong-number-of-arguments (4 . 4) 3)
let: Wrong number of arguments: (3 . 3), 2

And I understand there is somewhere bug in the code, however, if
something fails then it is not conclusive where. I cannot find the line
where it fails as line number is not reported.

When running with emacs --debug-init, I see here:

Debugger entered--Lisp error: (error "[left] is not a valid key definition;=
 see =E2=80=98key-val...")
  signal(error ("[left] is not a valid key definition; see =E2=80=98key-val=
..."))
  error("%S is not a valid key definition; see `key-valid-p'" [left])
  keymap--check([left])
  keymap-set((keymap (104 . kill-current-buffer) (107 . previous-line) (106=
 . next-line) (110 . next-line) (105 . kill-current-buffer) (113 . kill-cur=
rent-buffer)) [left] kill-current-buffer)
  byte-code("\301\10\302\303#\210\301\10\304\303#\210\301\10\305\306#\210\3=
01\10\307\306#\210\301\10\310\311#\210\301\10\312\303#\210\301\10\313\303#\=
210\301\10\314\311#\210\301\10..." [cf-org-view-mode-map keymap-set "q" kil=
l-current-buffer "i" "n" next-line "j" "k" previous-line "h" [left] "p" "Q"=
] 4)
  require(rcd-cf nil t)
  eval-buffer(#<buffer  *load*> nil "/home/data1/protected/.emacs.d/init.el=
" nil t)  ; Reading at buffer position 3624
  load-with-code-conversion("/home/data1/protected/.emacs.d/init.el" "/home=
/data1/protected/.emacs.d/init.el" t t)
  load("/home/data1/protected/.emacs.d/init" noerror nomessage)
  startup--load-user-init-file(#f(compiled-function () #<bytecode -0x1461fd=
7a42c4018b>) #f(compiled-function () #<bytecode -0x1f3c6feddc0b9b75>) t)
  command-line()
  normal-top-level()

Then when I search for "cf-org-view-mode-map keymap-set" I find:

(define-derived-mode cf-org-view-mode org-mode "CF Org View Mode" "This is =
read only Central Files Org View Mode"
  (text-scale-adjust 1))

(keymap-set cf-org-view-mode-map "q" #'kill-current-buffer)
(keymap-set cf-org-view-mode-map "i" #'kill-current-buffer)
(keymap-set cf-org-view-mode-map "n" #'next-line)
(keymap-set cf-org-view-mode-map "j" #'next-line)
(keymap-set cf-org-view-mode-map "k" #'previous-line)
(keymap-set cf-org-view-mode-map "h" #'kill-current-buffer)
(keymap-set cf-org-view-mode-map "<left>" #'kill-current-buffer)
(keymap-set cf-org-view-mode-map "p" #'previous-line)
(keymap-set cf-org-view-mode-map "Q" #'kill-current-buffer)

Then when I do (key-valid-p "<left>") it returns TRUE.

and if I eval it as region, it gives me no errors. Then if I isolate it
in this file, it gives me no errors:

(define-derived-mode cf-org-view-mode org-mode "CF Org View Mode" "This is =
read only Central Files Org View Mode"
  (text-scale-adjust 1))

(keymap-set cf-org-view-mode-map "<left>" #'kill-current-buffer)

then if I remove that line:

;; (keymap-set cf-org-view-mode-map "<left>" #'kill-current-buffer)

and byte compile, install package, it still gives me the same error.

And if I remove line completely, I still get some:

Warning: Optimization failure for keymap-set: Handler: keymap-set--anon-cma=
cro
(wrong-number-of-arguments (4 . 4) 3)

which is inconclusive, cannot know which line number is in question.

This error is about debug messages being not conclusive. It may be that
I error and cannot see what and why.


In GNU Emacs 29.0.50 (build 1, x86_64-pc-linux-gnu, X toolkit, cairo
 version 1.17.6, Xaw3d scroll bars) of 2022-09-16 built on
 protected.rcdrun.com
Repository revision: 3c1579697ff03d3991b41ead503211cffac0998f
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.12101003
System Description: Parabola GNU/Linux-libre

Configured using:
 'configure --with-x-toolkit=3Dlucid'

Configured features:
ACL CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS GPM GSETTINGS HARFBUZZ JPEG
JSON LCMS2 LIBOTF LIBSYSTEMD LIBXML2 M17N_FLT MODULES NOTIFY INOTIFY
PDUMPER PNG RSVG SECCOMP SOUND SQLITE3 THREADS TIFF TOOLKIT_SCROLL_BARS
WEBP X11 XAW3D XDBE XIM XINPUT2 XPM LUCID ZLIB

Important settings:
  value of $LC_ALL: en_US.UTF-8
  value of $LANG: de_DE.UTF-8
  value of $XMODIFIERS: @im=3Dexwm-xim
  locale-coding-system: utf-8-unix

Major mode: ELisp/l

Minor modes in effect:
  shell-dirtrack-mode: t
  hyperbole-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  show-paren-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  line-number-mode: t
  indent-tabs-mode: t
  transient-mark-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t

Load-path shadows:
~/Programming/git/emacs-libpq/test hides /home/data1/protected/Programming/=
emacs-lisp/test
/home/data1/protected/Programming/emacs-lisp/double-opt-in hides /home/data=
1/protected/.emacs.d/elpa/double-opt-in-0.1/double-opt-in
~/.emacs.d/hyperbole/hmouse-drv hides /home/data1/protected/.emacs.d/elpa/h=
yperbole-8.0.0/hmouse-drv
~/.emacs.d/hyperbole/hui-window hides /home/data1/protected/.emacs.d/elpa/h=
yperbole-8.0.0/hui-window
~/.emacs.d/hyperbole/hsmail hides /home/data1/protected/.emacs.d/elpa/hyper=
bole-8.0.0/hsmail
~/.emacs.d/hyperbole/hbmap hides /home/data1/protected/.emacs.d/elpa/hyperb=
ole-8.0.0/hbmap
~/.emacs.d/hyperbole/hui-mouse hides /home/data1/protected/.emacs.d/elpa/hy=
perbole-8.0.0/hui-mouse
~/.emacs.d/hyperbole/hload-path hides /home/data1/protected/.emacs.d/elpa/h=
yperbole-8.0.0/hload-path
~/.emacs.d/hyperbole/hypb hides /home/data1/protected/.emacs.d/elpa/hyperbo=
le-8.0.0/hypb
~/.emacs.d/hyperbole/hvm hides /home/data1/protected/.emacs.d/elpa/hyperbol=
e-8.0.0/hvm
~/.emacs.d/hyperbole/hui-dired-sidebar hides /home/data1/protected/.emacs.d=
/elpa/hyperbole-8.0.0/hui-dired-sidebar
~/.emacs.d/hyperbole/hpath hides /home/data1/protected/.emacs.d/elpa/hyperb=
ole-8.0.0/hpath
~/.emacs.d/hyperbole/hgnus hides /home/data1/protected/.emacs.d/elpa/hyperb=
ole-8.0.0/hgnus
~/.emacs.d/hyperbole/hact hides /home/data1/protected/.emacs.d/elpa/hyperbo=
le-8.0.0/hact
~/.emacs.d/hyperbole/hui-em-but hides /home/data1/protected/.emacs.d/elpa/h=
yperbole-8.0.0/hui-em-but
~/.emacs.d/hyperbole/hbut hides /home/data1/protected/.emacs.d/elpa/hyperbo=
le-8.0.0/hbut
~/.emacs.d/hyperbole/hib-social hides /home/data1/protected/.emacs.d/elpa/h=
yperbole-8.0.0/hib-social
~/.emacs.d/hyperbole/hmouse-key hides /home/data1/protected/.emacs.d/elpa/h=
yperbole-8.0.0/hmouse-key
~/.emacs.d/hyperbole/hywconfig hides /home/data1/protected/.emacs.d/elpa/hy=
perbole-8.0.0/hywconfig
~/.emacs.d/hyperbole/hib-debbugs hides /home/data1/protected/.emacs.d/elpa/=
hyperbole-8.0.0/hib-debbugs
~/.emacs.d/hyperbole/hyrolo hides /home/data1/protected/.emacs.d/elpa/hyper=
bole-8.0.0/hyrolo
~/.emacs.d/hyperbole/hyrolo-logic hides /home/data1/protected/.emacs.d/elpa=
/hyperbole-8.0.0/hyrolo-logic
~/.emacs.d/hyperbole/hargs hides /home/data1/protected/.emacs.d/elpa/hyperb=
ole-8.0.0/hargs
~/.emacs.d/hyperbole/hmouse-info hides /home/data1/protected/.emacs.d/elpa/=
hyperbole-8.0.0/hmouse-info
~/.emacs.d/hyperbole/set hides /home/data1/protected/.emacs.d/elpa/hyperbol=
e-8.0.0/set
~/.emacs.d/hyperbole/hmh hides /home/data1/protected/.emacs.d/elpa/hyperbol=
e-8.0.0/hmh
~/.emacs.d/hyperbole/hsettings hides /home/data1/protected/.emacs.d/elpa/hy=
perbole-8.0.0/hsettings
~/.emacs.d/hyperbole/hmouse-mod hides /home/data1/protected/.emacs.d/elpa/h=
yperbole-8.0.0/hmouse-mod
~/.emacs.d/hyperbole/htz hides /home/data1/protected/.emacs.d/elpa/hyperbol=
e-8.0.0/htz
~/.emacs.d/hyperbole/hversion hides /home/data1/protected/.emacs.d/elpa/hyp=
erbole-8.0.0/hversion
~/.emacs.d/hyperbole/hib-doc-id hides /home/data1/protected/.emacs.d/elpa/h=
yperbole-8.0.0/hib-doc-id
~/.emacs.d/hyperbole/hui-mini hides /home/data1/protected/.emacs.d/elpa/hyp=
erbole-8.0.0/hui-mini
~/.emacs.d/hyperbole/hui-menu hides /home/data1/protected/.emacs.d/elpa/hyp=
erbole-8.0.0/hui-menu
~/.emacs.d/hyperbole/hmoccur hides /home/data1/protected/.emacs.d/elpa/hype=
rbole-8.0.0/hmoccur
~/.emacs.d/hyperbole/hmail hides /home/data1/protected/.emacs.d/elpa/hyperb=
ole-8.0.0/hmail
~/.emacs.d/hyperbole/hbdata hides /home/data1/protected/.emacs.d/elpa/hyper=
bole-8.0.0/hbdata
~/.emacs.d/hyperbole/hrmail hides /home/data1/protected/.emacs.d/elpa/hyper=
bole-8.0.0/hrmail
~/.emacs.d/hyperbole/hui hides /home/data1/protected/.emacs.d/elpa/hyperbol=
e-8.0.0/hui
~/.emacs.d/hyperbole/hmouse-tag hides /home/data1/protected/.emacs.d/elpa/h=
yperbole-8.0.0/hmouse-tag
~/.emacs.d/hyperbole/hypb-ert hides /home/data1/protected/.emacs.d/elpa/hyp=
erbole-8.0.0/hypb-ert
~/.emacs.d/hyperbole/hypb-maintenance hides /home/data1/protected/.emacs.d/=
elpa/hyperbole-8.0.0/hypb-maintenance
~/.emacs.d/hyperbole/hsys-org hides /home/data1/protected/.emacs.d/elpa/hyp=
erbole-8.0.0/hsys-org
~/.emacs.d/hyperbole/hyrolo-menu hides /home/data1/protected/.emacs.d/elpa/=
hyperbole-8.0.0/hyrolo-menu
~/.emacs.d/hyperbole/hibtypes hides /home/data1/protected/.emacs.d/elpa/hyp=
erbole-8.0.0/hibtypes
~/.emacs.d/hyperbole/hvar hides /home/data1/protected/.emacs.d/elpa/hyperbo=
le-8.0.0/hvar
~/.emacs.d/hyperbole/hycontrol hides /home/data1/protected/.emacs.d/elpa/hy=
perbole-8.0.0/hycontrol
~/.emacs.d/hyperbole/hui-treemacs hides /home/data1/protected/.emacs.d/elpa=
/hyperbole-8.0.0/hui-treemacs
~/.emacs.d/hyperbole/hib-kbd hides /home/data1/protected/.emacs.d/elpa/hype=
rbole-8.0.0/hib-kbd
~/.emacs.d/hyperbole/hyperbole hides /home/data1/protected/.emacs.d/elpa/hy=
perbole-8.0.0/hyperbole
~/.emacs.d/hyperbole/hyrolo-demo hides /home/data1/protected/.emacs.d/elpa/=
hyperbole-8.0.0/hyrolo-demo
~/.emacs.d/hyperbole/hactypes hides /home/data1/protected/.emacs.d/elpa/hyp=
erbole-8.0.0/hactypes
~/.emacs.d/hyperbole/hyperbole-autoloads hides /home/data1/protected/.emacs=
.d/elpa/hyperbole-8.0.0/hyperbole-autoloads
~/.emacs.d/hyperbole/hsys-www hides /home/data1/protected/.emacs.d/elpa/hyp=
erbole-8.0.0/hsys-www
~/.emacs.d/hyperbole/hui-select hides /home/data1/protected/.emacs.d/elpa/h=
yperbole-8.0.0/hui-select
~/.emacs.d/hyperbole/hhist hides /home/data1/protected/.emacs.d/elpa/hyperb=
ole-8.0.0/hhist
~/.emacs.d/hyperbole/hui-jmenu hides /home/data1/protected/.emacs.d/elpa/hy=
perbole-8.0.0/hui-jmenu
~/.emacs.d/hyperbole/hmouse-sh hides /home/data1/protected/.emacs.d/elpa/hy=
perbole-8.0.0/hmouse-sh
~/.emacs.d/hyperbole/hinit hides /home/data1/protected/.emacs.d/elpa/hyperb=
ole-8.0.0/hinit
/home/data1/protected/Programming/emacs-lisp/hyperscope hides /home/data1/p=
rotected/.emacs.d/elpa/hyperscope-1.57/hyperscope
/home/data1/protected/Programming/emacs-lisp/mutt-tools hides /home/data1/p=
rotected/.emacs.d/elpa/mutt-tools-1.1/mutt-tools
/home/data1/protected/Programming/emacs-lisp/pleroma hides /home/data1/prot=
ected/.emacs.d/elpa/pleroma-0.1/pleroma
/home/data1/protected/Programming/emacs-lisp/rcd-business hides /home/data1=
/protected/.emacs.d/elpa/rcd-business-0.1/rcd-business
/home/data1/protected/Programming/emacs-lisp/rcd-encryption hides /home/dat=
a1/protected/.emacs.d/elpa/rcd-encryption-0.1/rcd-encryption
/home/data1/protected/Programming/emacs-lisp/rcd-hash-edit hides /home/data=
1/protected/.emacs.d/elpa/rcd-hash-edit-0.2/rcd-hash-edit
/home/data1/protected/Programming/emacs-lisp/rcd-mail hides /home/data1/pro=
tected/.emacs.d/elpa/rcd-mail-1.67/rcd-mail
/home/data1/protected/Programming/emacs-lisp/rcd-paps hides /home/data1/pro=
tected/.emacs.d/elpa/rcd-paps-0.1/rcd-paps
/home/data1/protected/Programming/emacs-lisp/rcd-password hides /home/data1=
/protected/.emacs.d/elpa/rcd-password-1.1/rcd-password
/home/data1/protected/Programming/emacs-lisp/rcd-template hides /home/data1=
/protected/.emacs.d/elpa/rcd-template-1.14/rcd-template
/home/data1/protected/Programming/emacs-lisp/rcd-translations hides /home/d=
ata1/protected/.emacs.d/elpa/rcd-translations-1.33/rcd-translations
/home/data1/protected/Programming/emacs-lisp/rcd-cf hides /home/data1/prote=
cted/.emacs.d/elpa/rcd-cf-1.92/rcd-cf
/home/data1/protected/Programming/emacs-lisp/rcd-vc hides /home/data1/prote=
cted/.emacs.d/elpa/rcd-vc-2.5/rcd-vc
/home/data1/protected/Programming/emacs-lisp/rcd-db-basics hides /home/data=
1/protected/.emacs.d/elpa/rcd-db-basics-1.48/rcd-db-basics
/home/data1/protected/Programming/emacs-lisp/rcd-vcard hides /home/data1/pr=
otected/.emacs.d/elpa/rcd-vcard-0.1/rcd-vcard
/home/data1/protected/.emacs.d/Drew Adams/saferegion hides /home/data1/prot=
ected/.emacs.d/elpa/saferegion-0/saferegion
/home/data1/protected/Programming/emacs-lisp/termux hides /home/data1/prote=
cted/.emacs.d/elpa/termux-0.1/termux
/home/data1/protected/Programming/emacs-lisp/rcd-utilities hides /home/data=
1/protected/.emacs.d/elpa/rcd-utilities-1.97/rcd-utilities
/home/data1/protected/Programming/emacs-lisp/units hides /home/data1/protec=
ted/.emacs.d/elpa/units-0.1/units
/home/data1/protected/Programming/emacs-lisp/voice2html hides /home/data1/p=
rotected/.emacs.d/elpa/voice2html-0.11/voice2html
~/Programming/git/emacs-libvterm/vterm hides /home/data1/protected/.emacs.d=
/elpa/vterm-0.0.1/vterm
/home/data1/protected/.emacs.d/elpa/org-20201216/ob-lisp hides /home/data1/=
protected/Programming/Software/emacs/lisp/org/ob-lisp
/home/data1/protected/.emacs.d/elpa/org-20201216/org-entities hides /home/d=
ata1/protected/Programming/Software/emacs/lisp/org/org-entities
/home/data1/protected/.emacs.d/elpa/org-20201216/ob-haskell hides /home/dat=
a1/protected/Programming/Software/emacs/lisp/org/ob-haskell
/home/data1/protected/.emacs.d/elpa/org-20201216/org-pcomplete hides /home/=
data1/protected/Programming/Software/emacs/lisp/org/org-pcomplete
/home/data1/protected/.emacs.d/elpa/org-20201216/org-install hides /home/da=
ta1/protected/Programming/Software/emacs/lisp/org/org-install
/home/data1/protected/.emacs.d/elpa/org-20201216/ob-lob hides /home/data1/p=
rotected/Programming/Software/emacs/lisp/org/ob-lob
/home/data1/protected/.emacs.d/elpa/org-20201216/org-element hides /home/da=
ta1/protected/Programming/Software/emacs/lisp/org/org-element
/home/data1/protected/.emacs.d/elpa/org-20201216/org-duration hides /home/d=
ata1/protected/Programming/Software/emacs/lisp/org/org-duration
/home/data1/protected/.emacs.d/elpa/org-20201216/org-faces hides /home/data=
1/protected/Programming/Software/emacs/lisp/org/org-faces
/home/data1/protected/.emacs.d/elpa/org-20201216/ob-org hides /home/data1/p=
rotected/Programming/Software/emacs/lisp/org/ob-org
/home/data1/protected/.emacs.d/elpa/org-20201216/org-agenda hides /home/dat=
a1/protected/Programming/Software/emacs/lisp/org/org-agenda
/home/data1/protected/.emacs.d/elpa/org-20201216/org-clock hides /home/data=
1/protected/Programming/Software/emacs/lisp/org/org-clock
/home/data1/protected/.emacs.d/elpa/org-20201216/ox hides /home/data1/prote=
cted/Programming/Software/emacs/lisp/org/ox
/home/data1/protected/.emacs.d/elpa/org-20201216/org-timer hides /home/data=
1/protected/Programming/Software/emacs/lisp/org/org-timer
/home/data1/protected/.emacs.d/elpa/org-20201216/ob-dot hides /home/data1/p=
rotected/Programming/Software/emacs/lisp/org/ob-dot
/home/data1/protected/.emacs.d/elpa/org-20201216/ob-exp hides /home/data1/p=
rotected/Programming/Software/emacs/lisp/org/ob-exp
/home/data1/protected/.emacs.d/elpa/org-20201216/ob-R hides /home/data1/pro=
tected/Programming/Software/emacs/lisp/org/ob-R
/home/data1/protected/.emacs.d/elpa/org-20201216/ol-rmail hides /home/data1=
/protected/Programming/Software/emacs/lisp/org/ol-rmail
/home/data1/protected/.emacs.d/elpa/org-20201216/org-mobile hides /home/dat=
a1/protected/Programming/Software/emacs/lisp/org/org-mobile
/home/data1/protected/.emacs.d/elpa/org-20201216/org-footnote hides /home/d=
ata1/protected/Programming/Software/emacs/lisp/org/org-footnote
/home/data1/protected/.emacs.d/elpa/org-20201216/ob-ditaa hides /home/data1=
/protected/Programming/Software/emacs/lisp/org/ob-ditaa
/home/data1/protected/.emacs.d/elpa/org-20201216/ob-sed hides /home/data1/p=
rotected/Programming/Software/emacs/lisp/org/ob-sed
/home/data1/protected/.emacs.d/elpa/org-20201216/ob-shell hides /home/data1=
/protected/Programming/Software/emacs/lisp/org/ob-shell
/home/data1/protected/.emacs.d/elpa/org-20201216/ob-python hides /home/data=
1/protected/Programming/Software/emacs/lisp/org/ob-python
/home/data1/protected/.emacs.d/elpa/org-20201216/ob-awk hides /home/data1/p=
rotected/Programming/Software/emacs/lisp/org/ob-awk
/home/data1/protected/.emacs.d/elpa/org-20201216/org-loaddefs hides /home/d=
ata1/protected/Programming/Software/emacs/lisp/org/org-loaddefs
/home/data1/protected/.emacs.d/elpa/org-20201216/ob-emacs-lisp hides /home/=
data1/protected/Programming/Software/emacs/lisp/org/ob-emacs-lisp
/home/data1/protected/.emacs.d/elpa/org-20201216/ox-odt hides /home/data1/p=
rotected/Programming/Software/emacs/lisp/org/ox-odt
/home/data1/protected/.emacs.d/elpa/org-20201216/org-id hides /home/data1/p=
rotected/Programming/Software/emacs/lisp/org/org-id
/home/data1/protected/.emacs.d/elpa/org-20201216/ob-lilypond hides /home/da=
ta1/protected/Programming/Software/emacs/lisp/org/ob-lilypond
/home/data1/protected/.emacs.d/elpa/org-20201216/ob-table hides /home/data1=
/protected/Programming/Software/emacs/lisp/org/ob-table
/home/data1/protected/.emacs.d/elpa/org-20201216/ol-bbdb hides /home/data1/=
protected/Programming/Software/emacs/lisp/org/ol-bbdb
/home/data1/protected/.emacs.d/elpa/org-20201216/ox-beamer hides /home/data=
1/protected/Programming/Software/emacs/lisp/org/ox-beamer
/home/data1/protected/.emacs.d/elpa/org-20201216/ol-irc hides /home/data1/p=
rotected/Programming/Software/emacs/lisp/org/ol-irc
/home/data1/protected/.emacs.d/elpa/org-20201216/org-archive hides /home/da=
ta1/protected/Programming/Software/emacs/lisp/org/org-archive
/home/data1/protected/.emacs.d/elpa/org-20201216/ob-comint hides /home/data=
1/protected/Programming/Software/emacs/lisp/org/ob-comint
/home/data1/protected/.emacs.d/elpa/org-20201216/ob-core hides /home/data1/=
protected/Programming/Software/emacs/lisp/org/ob-core
/home/data1/protected/.emacs.d/elpa/org-20201216/org-inlinetask hides /home=
/data1/protected/Programming/Software/emacs/lisp/org/org-inlinetask
/home/data1/protected/.emacs.d/elpa/org-20201216/ob-plantuml hides /home/da=
ta1/protected/Programming/Software/emacs/lisp/org/ob-plantuml
/home/data1/protected/.emacs.d/elpa/org-20201216/org-capture hides /home/da=
ta1/protected/Programming/Software/emacs/lisp/org/org-capture
/home/data1/protected/.emacs.d/elpa/org-20201216/org-indent hides /home/dat=
a1/protected/Programming/Software/emacs/lisp/org/org-indent
/home/data1/protected/.emacs.d/elpa/org-20201216/org-plot hides /home/data1=
/protected/Programming/Software/emacs/lisp/org/org-plot
/home/data1/protected/.emacs.d/elpa/org-20201216/ob-css hides /home/data1/p=
rotected/Programming/Software/emacs/lisp/org/ob-css
/home/data1/protected/.emacs.d/elpa/org-20201216/org-mouse hides /home/data=
1/protected/Programming/Software/emacs/lisp/org/org-mouse
/home/data1/protected/.emacs.d/elpa/org-20201216/org-feed hides /home/data1=
/protected/Programming/Software/emacs/lisp/org/org-feed
/home/data1/protected/.emacs.d/elpa/org-20201216/ol-mhe hides /home/data1/p=
rotected/Programming/Software/emacs/lisp/org/ol-mhe
/home/data1/protected/.emacs.d/elpa/org-20201216/ob-C hides /home/data1/pro=
tected/Programming/Software/emacs/lisp/org/ob-C
/home/data1/protected/.emacs.d/elpa/org-20201216/ob-ocaml hides /home/data1=
/protected/Programming/Software/emacs/lisp/org/ob-ocaml
/home/data1/protected/.emacs.d/elpa/org-20201216/ox-publish hides /home/dat=
a1/protected/Programming/Software/emacs/lisp/org/ox-publish
/home/data1/protected/.emacs.d/elpa/org-20201216/org hides /home/data1/prot=
ected/Programming/Software/emacs/lisp/org/org
/home/data1/protected/.emacs.d/elpa/org-20201216/ob-eval hides /home/data1/=
protected/Programming/Software/emacs/lisp/org/ob-eval
/home/data1/protected/.emacs.d/elpa/org-20201216/ox-ascii hides /home/data1=
/protected/Programming/Software/emacs/lisp/org/ox-ascii
/home/data1/protected/.emacs.d/elpa/org-20201216/ob-sass hides /home/data1/=
protected/Programming/Software/emacs/lisp/org/ob-sass
/home/data1/protected/.emacs.d/elpa/org-20201216/ox-md hides /home/data1/pr=
otected/Programming/Software/emacs/lisp/org/ox-md
/home/data1/protected/.emacs.d/elpa/org-20201216/ox-man hides /home/data1/p=
rotected/Programming/Software/emacs/lisp/org/ox-man
/home/data1/protected/.emacs.d/elpa/org-20201216/ob-makefile hides /home/da=
ta1/protected/Programming/Software/emacs/lisp/org/ob-makefile
/home/data1/protected/.emacs.d/elpa/org-20201216/ol hides /home/data1/prote=
cted/Programming/Software/emacs/lisp/org/ol
/home/data1/protected/.emacs.d/elpa/org-20201216/ol-gnus hides /home/data1/=
protected/Programming/Software/emacs/lisp/org/ol-gnus
/home/data1/protected/.emacs.d/elpa/org-20201216/org-attach hides /home/dat=
a1/protected/Programming/Software/emacs/lisp/org/org-attach
/home/data1/protected/.emacs.d/elpa/org-20201216/ob-gnuplot hides /home/dat=
a1/protected/Programming/Software/emacs/lisp/org/ob-gnuplot
/home/data1/protected/.emacs.d/elpa/org-20201216/ob-latex hides /home/data1=
/protected/Programming/Software/emacs/lisp/org/ob-latex
/home/data1/protected/.emacs.d/elpa/org-20201216/ox-latex hides /home/data1=
/protected/Programming/Software/emacs/lisp/org/ox-latex
/home/data1/protected/.emacs.d/elpa/org-20201216/ob-eshell hides /home/data=
1/protected/Programming/Software/emacs/lisp/org/ob-eshell
/home/data1/protected/.emacs.d/elpa/org-20201216/org-macs hides /home/data1=
/protected/Programming/Software/emacs/lisp/org/org-macs
/home/data1/protected/.emacs.d/elpa/org-20201216/org-list hides /home/data1=
/protected/Programming/Software/emacs/lisp/org/org-list
/home/data1/protected/.emacs.d/elpa/org-20201216/ob-octave hides /home/data=
1/protected/Programming/Software/emacs/lisp/org/ob-octave
/home/data1/protected/.emacs.d/elpa/org-20201216/org-compat hides /home/dat=
a1/protected/Programming/Software/emacs/lisp/org/org-compat
/home/data1/protected/.emacs.d/elpa/org-20201216/ox-texinfo hides /home/dat=
a1/protected/Programming/Software/emacs/lisp/org/ox-texinfo
/home/data1/protected/.emacs.d/elpa/org-20201216/ob-ruby hides /home/data1/=
protected/Programming/Software/emacs/lisp/org/ob-ruby
/home/data1/protected/.emacs.d/elpa/org-20201216/ol-docview hides /home/dat=
a1/protected/Programming/Software/emacs/lisp/org/ol-docview
/home/data1/protected/.emacs.d/elpa/org-20201216/org-protocol hides /home/d=
ata1/protected/Programming/Software/emacs/lisp/org/org-protocol
/home/data1/protected/.emacs.d/elpa/org-20201216/ob hides /home/data1/prote=
cted/Programming/Software/emacs/lisp/org/ob
/home/data1/protected/.emacs.d/elpa/org-20201216/org-num hides /home/data1/=
protected/Programming/Software/emacs/lisp/org/org-num
/home/data1/protected/.emacs.d/elpa/org-20201216/ol-info hides /home/data1/=
protected/Programming/Software/emacs/lisp/org/ol-info
/home/data1/protected/.emacs.d/elpa/org-20201216/ox-html hides /home/data1/=
protected/Programming/Software/emacs/lisp/org/ox-html
/home/data1/protected/.emacs.d/elpa/org-20201216/org-tempo hides /home/data=
1/protected/Programming/Software/emacs/lisp/org/org-tempo
/home/data1/protected/.emacs.d/elpa/org-20201216/ob-forth hides /home/data1=
/protected/Programming/Software/emacs/lisp/org/ob-forth
/home/data1/protected/.emacs.d/elpa/org-20201216/ob-maxima hides /home/data=
1/protected/Programming/Software/emacs/lisp/org/ob-maxima
/home/data1/protected/.emacs.d/elpa/org-20201216/ob-js hides /home/data1/pr=
otected/Programming/Software/emacs/lisp/org/ob-js
/home/data1/protected/.emacs.d/elpa/org-20201216/ob-groovy hides /home/data=
1/protected/Programming/Software/emacs/lisp/org/ob-groovy
/home/data1/protected/.emacs.d/elpa/org-20201216/org-ctags hides /home/data=
1/protected/Programming/Software/emacs/lisp/org/org-ctags
/home/data1/protected/.emacs.d/elpa/org-20201216/ob-sql hides /home/data1/p=
rotected/Programming/Software/emacs/lisp/org/ob-sql
/home/data1/protected/.emacs.d/elpa/org-20201216/org-crypt hides /home/data=
1/protected/Programming/Software/emacs/lisp/org/org-crypt
/home/data1/protected/.emacs.d/elpa/org-20201216/org-habit hides /home/data=
1/protected/Programming/Software/emacs/lisp/org/org-habit
/home/data1/protected/.emacs.d/elpa/org-20201216/ob-sqlite hides /home/data=
1/protected/Programming/Software/emacs/lisp/org/ob-sqlite
/home/data1/protected/.emacs.d/elpa/org-20201216/ob-fortran hides /home/dat=
a1/protected/Programming/Software/emacs/lisp/org/ob-fortran
/home/data1/protected/.emacs.d/elpa/org-20201216/ob-perl hides /home/data1/=
protected/Programming/Software/emacs/lisp/org/ob-perl
/home/data1/protected/.emacs.d/elpa/org-20201216/ol-w3m hides /home/data1/p=
rotected/Programming/Software/emacs/lisp/org/ol-w3m
/home/data1/protected/.emacs.d/elpa/org-20201216/org-refile hides /home/dat=
a1/protected/Programming/Software/emacs/lisp/org/org-refile
/home/data1/protected/.emacs.d/elpa/org-20201216/ol-eshell hides /home/data=
1/protected/Programming/Software/emacs/lisp/org/ol-eshell
/home/data1/protected/.emacs.d/elpa/org-20201216/org-lint hides /home/data1=
/protected/Programming/Software/emacs/lisp/org/org-lint
/home/data1/protected/.emacs.d/elpa/org-20201216/ox-icalendar hides /home/d=
ata1/protected/Programming/Software/emacs/lisp/org/ox-icalendar
/home/data1/protected/.emacs.d/elpa/org-20201216/ob-ref hides /home/data1/p=
rotected/Programming/Software/emacs/lisp/org/ob-ref
/home/data1/protected/.emacs.d/elpa/org-20201216/ol-bibtex hides /home/data=
1/protected/Programming/Software/emacs/lisp/org/ol-bibtex
/home/data1/protected/.emacs.d/elpa/org-20201216/org-keys hides /home/data1=
/protected/Programming/Software/emacs/lisp/org/org-keys
/home/data1/protected/.emacs.d/elpa/org-20201216/org-macro hides /home/data=
1/protected/Programming/Software/emacs/lisp/org/org-macro
/home/data1/protected/.emacs.d/elpa/org-20201216/org-table hides /home/data=
1/protected/Programming/Software/emacs/lisp/org/org-table
/home/data1/protected/.emacs.d/elpa/org-20201216/org-src hides /home/data1/=
protected/Programming/Software/emacs/lisp/org/org-src
/home/data1/protected/.emacs.d/elpa/org-20201216/ob-processing hides /home/=
data1/protected/Programming/Software/emacs/lisp/org/ob-processing
/home/data1/protected/.emacs.d/elpa/org-20201216/ox-org hides /home/data1/p=
rotected/Programming/Software/emacs/lisp/org/ox-org
/home/data1/protected/.emacs.d/elpa/org-20201216/org-datetree hides /home/d=
ata1/protected/Programming/Software/emacs/lisp/org/org-datetree
/home/data1/protected/.emacs.d/elpa/org-20201216/ob-java hides /home/data1/=
protected/Programming/Software/emacs/lisp/org/ob-java
/home/data1/protected/.emacs.d/elpa/org-20201216/ob-calc hides /home/data1/=
protected/Programming/Software/emacs/lisp/org/ob-calc
/home/data1/protected/.emacs.d/elpa/org-20201216/ob-clojure hides /home/dat=
a1/protected/Programming/Software/emacs/lisp/org/ob-clojure
/home/data1/protected/.emacs.d/elpa/org-20201216/org-goto hides /home/data1=
/protected/Programming/Software/emacs/lisp/org/org-goto
/home/data1/protected/.emacs.d/elpa/org-20201216/org-version hides /home/da=
ta1/protected/Programming/Software/emacs/lisp/org/org-version
/home/data1/protected/.emacs.d/elpa/org-20201216/ob-tangle hides /home/data=
1/protected/Programming/Software/emacs/lisp/org/ob-tangle
/home/data1/protected/.emacs.d/elpa/org-20201216/ob-lua hides /home/data1/p=
rotected/Programming/Software/emacs/lisp/org/ob-lua
/home/data1/protected/.emacs.d/elpa/org-20201216/org-colview hides /home/da=
ta1/protected/Programming/Software/emacs/lisp/org/org-colview
/home/data1/protected/.emacs.d/elpa/org-20201216/ob-screen hides /home/data=
1/protected/Programming/Software/emacs/lisp/org/ob-screen
/home/data1/protected/.emacs.d/elpa/org-20201216/ob-matlab hides /home/data=
1/protected/Programming/Software/emacs/lisp/org/ob-matlab
/home/data1/protected/.emacs.d/elpa/org-20201216/org-attach-git hides /home=
/data1/protected/Programming/Software/emacs/lisp/org/org-attach-git
/home/data1/protected/.emacs.d/elpa/org-20201216/ob-scheme hides /home/data=
1/protected/Programming/Software/emacs/lisp/org/ob-scheme
/home/data1/protected/.emacs.d/elpa/org-20201216/ol-eww hides /home/data1/p=
rotected/Programming/Software/emacs/lisp/org/ol-eww
/home/data1/protected/.emacs.d/elpa/flim-20200908.1428/sasl hides /home/dat=
a1/protected/Programming/Software/emacs/lisp/net/sasl
/home/data1/protected/Programming/emacs-lisp/tramp hides /home/data1/protec=
ted/Programming/Software/emacs/lisp/net/tramp
/home/data1/protected/.emacs.d/elpa/dictionary-20201001.1727/dictionary hid=
es /home/data1/protected/Programming/Software/emacs/lisp/net/dictionary

Features:
(shadow emacsbug warnings skeleton vc-filewise vc-rcs log-view
easy-mmode pcvs-util misearch multi-isearch dired-aux help-fns
radix-tree cl-print time-stamp rcd-vc rcd-template ox-md ox-odt rng-loc
rng-uri rng-parse rng-match rng-dt rng-util rng-pttrn nxml-parse nxml-ns
nxml-enc xmltok nxml-util ox-latex ox-icalendar ox-html table ox-ascii
ox-publish ox mail-extr maildir qp maildir-index dash s noflet cl-indent
dotassoc kv chart rcd-db-basics pq rcd-password persistent-scratch
gold-price units dired-x enriched disp-table facemenu thingatpt+
thingatpt hyperbole hinit hibtypes hib-doc-id klink hib-kbd hib-debbugs
hib-social hsys-www hypb-ert ert ewoc debug backtrace hactypes bookmark
hui-mini hui hui-mouse hmouse-key hargs etags fileloop xref project
hsys-org org-element avl-tree generator org ob ob-tangle ob-ref ob-lob
ob-table ob-exp org-macro org-footnote org-src ob-comint org-pcomplete
org-list org-faces org-entities org-version ob-emacs-lisp ob-core
ob-eval org-table ol org-keys org-compat advice org-macs org-loaddefs
find-func hui-menu hyrolo-menu hyrolo sort hui-jmenu hpath tramp
tramp-loaddefs trampver tramp-integration cus-edit pp cus-load files-x
tramp-compat shell pcomplete ls-lisp format-spec noutline outline icons
hmouse-sh hmouse-drv hui-window pulse color hycontrol hui-select
hsettings hui-em-but hbut view hbdata hgnus gnus-msg gnus-art mm-uu
mml2015 mm-view mml-smime smime gnutls dig gnus-sum shr pixel-fill
kinsoku url-file svg dom gnus-group gnus-undo gnus-start gnus-dbus dbus
xml gnus-cloud nnimap nnmail mail-source utf7 nnoo parse-time iso8601
gnus-spec gnus-int gnus-range gnus-win gnus nnheader range wid-edit
hsmail message sendmail yank-media puny rfc822 mml mml-sec epa derived
epg rfc6068 epg-config gnus-util time-date mm-decode mm-bodies mm-encode
mail-parse rfc2231 rfc2047 rfc2045 mm-util ietf-drums mail-prsvr
mailabbrev mail-utils gmm-utils mailheader hmail htz cal-julian hbmap
hmoccur help-mode hvar hypb locate hact hhist compile
text-property-search comint ansi-color ring set hversion hload-path
aggressive-completion-autoloads aircon-theme-autoloads
apropospriate-theme-autoloads auctex-autoloads tex-site boxy-autoloads
context-coloring-autoloads corfu-autoloads crdt-autoloads
csv-mode-autoloads dired-rsync-autoloads eev-autoloads embark-autoloads
gruvbox-theme-autoloads autothemer-autoloads hyperbole-autoloads
inkpot-theme-autoloads cl modus-themes-autoloads monokai-theme-autoloads
nano-theme-autoloads nlinum-autoloads oblivion-theme-autoloads
olc-autoloads org-modern-autoloads osm-autoloads pandoc-autoloads
rcd-business-autoloads rcd-template-autoloads rcd-cf-autoloads
rcd-db-basics-autoloads spacemacs-theme-autoloads
system-packages-autoloads take-off-autoloads tangotango-theme-autoloads
rcd-utilities-autoloads finder-inf tramp-theme-autoloads
ujelly-theme-autoloads undo-tree-autoloads queue-autoloads
vcard-autoloads visual-fill-column-autoloads voice2html-autoloads
w3m-load which-key-autoloads info package url-handlers rcd-utilities rx
hi-lock dired dired-loaddefs cal-menu calendar cal-loaddefs browse-url
url url-proxy url-privacy url-expand url-methods url-history url-cookie
generate-lisp-file url-domsuf url-util url-parse auth-source cl-seq
eieio eieio-core cl-macs password-cache json subr-x map byte-opt gv
bytecomp byte-compile cconv url-vars mailcap cl-loaddefs cl-lib rmc
iso-transl tooltip eldoc paren electric uniquify ediff-hook vc-hooks
lisp-float-type elisp-mode mwheel term/x-win x-win term/common-win x-dnd
tool-bar dnd fontset image regexp-opt fringe tabulated-list replace
newcomment text-mode lisp-mode prog-mode register page tab-bar menu-bar
rfn-eshadow isearch easymenu timer select scroll-bar mouse jit-lock
font-lock syntax font-core term/tty-colors frame minibuffer nadvice seq
simple cl-generic indonesian philippine cham georgian utf-8-lang
misc-lang vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms
cp51932 hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese composite emoji-zwj charscript charprop case-table
epa-hook jka-cmpr-hook help abbrev obarray oclosure cl-preloaded button
loaddefs faces cus-face macroexp files window text-properties overlay
sha1 md5 base64 format env code-pages mule custom widget keymap
hashtable-print-readable backquote threads dbusbind inotify lcms2
dynamic-setting system-font-setting font-render-setting cairo x-toolkit
xinput2 x multi-tty make-network-process emacs)

Memory information:
((conses 16 358668 62576)
 (symbols 48 32494 2)
 (strings 32 118095 4045)
 (string-bytes 1 4051263)
 (vectors 16 55128)
 (vector-slots 8 612594 69908)
 (floats 8 436 101)
 (intervals 56 2788 181)
 (buffers 1000 19))

--=20
Jean

Take action in Free Software Foundation campaigns:
https://www.fsf.org/campaigns

In support of Richard M. Stallman
https://stallmansupport.org/




Acknowledgement sent to Jean Louis <bugs@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#57998; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 24 Sep 2022 20:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.